# Get one version of a row

> Source: https://elaichi.ai/docs/api-reference/collections/collection/getcollectionrowversion/

`GET /collection/{id}/rows/{rowId}/history/{version}`

Resource: **Collection** · API: **Collections**

## Path parameters

- **`id`** _(string, required)_
  Resource id
- **`rowId`** _(string, required)_
  Row id
- **`version`** _(string, required)_
  Version number

## Response body

- **`version`** _(integer)_
- **`op`** _(string)_
  Allowed: `baseline`, `insert`, `update`, `delete`, `restore`
- **`changed_fields`** _(array<object>)_
  At most 20 names; changed_count is the true count.
  - **`key`** _(string,null)_
  - **`name`** _(string)_
- **`changed_count`** _(integer)_
- **`actor`** _(object)_
  _One of:_
  - **object**
    - **`kind`** _(unknown)_
    - **`user_id`** _(string)_
  - **object**
    - **`kind`** _(unknown)_
    - **`automation_id`** _(string)_
    - **`run_id`** _(string)_
    - **`on_behalf_of_user_id`** _(string)_
    - **`session_id`** _(string,null)_
  - **object**
    - **`kind`** _(unknown)_
- **`created_at`** _(string)_
- **`bytes`** _(integer)_
- **`fields`** _(object)_
  Keyed by the current field key.
- **`removed_fields`** _(array<object>)_
  - **`field_id`** _(string)_
  - **`name`** _(string)_
  - **`value`** _(unknown)_
- **`diff`** _(array<object>)_
  - **`key`** _(string,null)_
  - **`name`** _(string)_
  - **`before`** _(unknown)_
  - **`after`** _(unknown)_
  - **`before_hidden`** _(boolean)_

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/collection/<id>/rows/<rowId>/history/<version>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/collection/<id>/rows/<rowId>/history/<version>', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/collection/<id>/rows/<rowId>/history/<version>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
